Skip to main content
PATCH
/
api
/
v2
/
webhooks
Update webhook config
curl --request PATCH \
  --url https://sandbox.killb.app/api/v2/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "active": true,
  "secret": "GJD6cyf6xbc@bvx6rvu",
  "events": [
    "RAMP"
  ],
  "url": "https://mywebhook.com"
}
'
{
  "id": "4d23aa52-1b40-4584-a8ea-58aba6099c5c",
  "customerId": "8ffce092-b97a-48bd-9efa-24c66ac7fe13",
  "url": "https://mywebhook.com",
  "events": [
    "RAMP"
  ],
  "active": true,
  "createdAt": "2024-02-06T00:03:30.791Z",
  "updatedAt": "2024-02-06T00:03:30.791Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
active
boolean
required
Example:

true

secret
string
required
Example:

"GJD6cyf6xbc@bvx6rvu"

events
enum<string>[]
required
Available options:
RAMP,
USER,
TRANSACTION,
ACCOUNT,
CUSTODIAL_ACCOUNT,
PAYOUT
url
string
Example:

"https://mywebhook.com"

Response

id
string
required
Example:

"4d23aa52-1b40-4584-a8ea-58aba6099c5c"

customerId
string
required
Example:

"8ffce092-b97a-48bd-9efa-24c66ac7fe13"

url
string
required
Example:

"https://mywebhook.com"

events
enum<string>[]
required
Available options:
RAMP,
USER,
TRANSACTION,
ACCOUNT,
CUSTODIAL_ACCOUNT,
PAYOUT
active
boolean
required
Example:

true

createdAt
string<date-time>
required
Example:

"2024-02-06T00:03:30.791Z"

updatedAt
string<date-time>
required
Example:

"2024-02-06T00:03:30.791Z"